Page MenuHomePhabricator

Announce browser extension support for Reading Lists in the apps
Closed, ResolvedPublic

Description

Use our fancy announcements API to tell our app users so they can find the browser extensions.

Announcement card details

1. Copy
ElementProposed text
TitleAdd to reading lists from the web
Body textWe now offer browser extensions for Chrome and Firefox, so you can save articles to your reading list when visiting Wikipedia on your laptop/desktop as well!
Dismiss CTAGot it (Dismisses card)
More info CTALearn more Takes users to FAQ page

image.png (540×716 px, 48 KB)

2. Image

Android version: https://commons.wikimedia.org/wiki/File:Browser_extension_-_Android.png
iOS version: https://commons.wikimedia.org/wiki/File:Browser_extension_-_iOS.png

3. Time frame for announcement

Date from: 5/25/2018 00:01 AM UTC
Date to: 5/31/2018 23:59 PM UTC

4. Other parameters
VersionProd and Beta. On iOS: 5.8.0, 5.8.1; On Android: min_version=232
Image height168dp (Android only)
CountriesEnglish speaking territories: us, uk, ie, ca, sa, au, nz

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Hey @RHo - I definitely agree with targeting the announcement to recent versions, and taking people to a FAQ/instructions page. I'm on the fence about restricting it to folks who already have sync enabled, though, since one of the reasons behind doing this announcement was to re-advertise the feature for folks who might just skip through the onboarding. Can you elaborate on your reasoning a bit more?

hey @Charlotte - the thinking was as we will have had a couple of announcement cards already in the past month about synced reading lists, it might be annoying to keep showing stuff about synced reading lists to people who are not interested. However, I wrote 'potentially' to hedge as I'm not super set on this as a parameter so fine to remove if this could be the feature to break previously uninterested folks in.

@RHo do we have the text for this ready? @Mholloway can take care of it once that's done.

hi @LGoto, nope the text is not done on this yet. The todos on this to queue it up for the announcements are:

  • Create graphic for the promo and upload to Commons so the link can be provided
  • Write copy promoting the browser extension
  • Provide time frame to show the announcement
  • If we decide to show this to specific users only then we need to provide additional parameters (eg., only show this on the latest versions of the apps that have sync reading lists available)

@RHo + @LGoto I can work on a graphic today if that's helpful?

AndroidiOS
Browser extension - Android.png (672×2 px, 157 KB)
Browser extension - iOS.png (1×1 px, 111 KB)

@RHo, do these look okay to you? If so I'll upload them to Commons :)
(I have the strip for Android too)

hey @cmadeo - because Android has an extended app bar background in the Accent50 color, this background color doesn't work so well on the Announce card:

image.png (784×832 px, 94 KB)

Can it be updated to use the same light blue Accent90 as iOS instead for the background, and also chnage the bookmark icon outline to #72777D ? Something like the following:

image.png (432×828 px, 35 KB)

Thanks :)

Ah! Noted! Can do :) thanks for reviewing @RHo

Browser extension - Android.png (672×2 px, 169 KB)

@RHo, does this work? Also, I updated the color of the background icons, I hope that's okay.

Any thoughts on dates? I'm think we run for a week Wednesday (5/23) to Wednesday (5/30) and then look at the numbers. Since the announcement is only seen once, it shouldn't be too annoying to run for a whole week. Thoughts?

Sure, a week from Wed 5/23 first off sounds good for starters

cmadeo updated the task description. (Show Details)

@JMinor sounds good to me. Assigning to you now as illos are done.

thanks @cmadeo - just to clarify, Android only needs the one image, there is no need for a separate background strip (that was just used for another announcement card with a short image)

JMinor added a subscriber: Dbrant.

@RHo or @Dbrant can you fill in the version numbers you want included in the ticket?

Otherwise I think this is ready for RI to review and deploy.

All the info should now be in place in the ticket description. Let me know if you need anything else.

Updated announcement to remove reference to Safari until issues are resolved

@RHo @cmadeo Neither of the apps appear to currently provide a title field on the announcement card (i.e., "Add to reading lists from the web")... I can work around this with HTML for Android, but not for iOS, which doesn't support HTML markup in the card body text. Can the design be updated to omit it?

Change 434563 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/services/mobileapps@master] WIP: Announce the reading lists browser extension in the apps

https://gerrit.wikimedia.org/r/434563

@RHo @cmadeo Neither of the apps appear to currently provide a title field on the announcement card (i.e., "Add to reading lists from the web")... I can work around this with HTML for Android, but not for iOS, which doesn't support HTML markup in the card body text. Can the design be updated to omit it?

hi @Mholloway - I think we usually do just code in the bold title and add the break in Android, whereas IIRC iOS just has it in one block? So maybe it could be:

Add to reading lists from the web:
We now offer browser extensions for Chrome and Firefox, so you can save articles to your reading list when visiting Wikipedia on your laptop/desktop as well!

Yeah, that seems to work fine for Android:

Screenshot_20180522-164524.png (2×1 px, 540 KB)

It's more iOS I'm concerned about—I won't be able to make the title bold there.

Is the start of the announcement not too early? the links are not filled out in https://www.mediawiki.org/wiki/Wikimedia_Apps/Reading_list_browser_extension yet.

The scheduled start time is in 2.5 hours (assuming its in UTC). We have not merged the MCS code and it's far from getting deployed. There needs to be a wait time of around 4 hours for the cache to expire.

@JMinor - oops yes, can we push back the announcement till the extensions are published and we have links to the stores added in the
learn more page?

Yes, good catch Bernd. Can we use Friday? That will give us a bit of pad
to verify stuff is in stores and

So date time should change to start on 5/25/2018 at 00:01 and run until
5/31/2018 23:59

Thanks, I'll probably knock off for the night, then.

In the meantime I'd most appreciate if someone on the iOS team could take https://gerrit.wikimedia.org/r/#/c/434563/ for a spin and tell me what needs fixing, if anything.

It's more iOS I'm concerned about—I won't be able to make the title bold there.

Unfortunately we'll just have to take advantage of the line break. With everything centered (as it is on iOS) I think it will look okay (I mocked it up in Sketch to check)

Thanks @cmadeo, I've updated the patch accordingly for whomever tests on iOS.

IMHO, if title text is an element you expect to keep using, I think it would be worth updating the announcement card views and models in the apps with a dedicated affordance for it.

@JMinor Friday should be ok, as long as the extension is ready and the URLs are published.

@cmadeo ^ screenshot of the announcement on iOS

Change 434563 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Announce the reading lists browser extension in the apps

https://gerrit.wikimedia.org/r/434563

Mholloway renamed this task from Announce browser extension support for Reading Lists to Announce browser extension support for Reading Lists in the apps.May 23 2018, 7:35 PM

Mentioned in SAL (#wikimedia-operations) [2018-05-23T20:21:10Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@5896151]: Update mobileapps to 29ebe0f (T192664)

Mentioned in SAL (#wikimedia-operations) [2018-05-23T20:30:03Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@5896151]: Update mobileapps to 29ebe0f (T192664) (duration: 08m 54s)

The announcement is live.

Hmm, just checked the Android app for the announcement but cannot see it on prod and Alpha builds. I can only see it on the Dev build. https://en.wikipedia.org/api/rest_v1/feed/announcements shows beta: true. Did we really want to restrict it to beta only? Even if so, shouldn't it also show up on the latest Alpha build? (It does appear on the iOS app, so that seems to be working fine.)

No, I think it should be running in production for both. Can we update that?

@JMinor We can. The question is when. Usually Friday deployments are very frowned upon, unless it's a critical bug fix. Monday we'll be out. Tuesday should be not problem.
Should we change the end date for Android?

@Dbrant, see above. Also, should we include a max_version for Android? Any ideas why the announcement wouldn't show up on an Alpha build?

Yes, I don't think the timing is so criitcal to do a late friday deply
before a long weekend. We can run it next week with new dates.

Ok, how about end time for Android 2018-06-05T17:59:00Z?
Our deployment window on Tuesday ends at 18:00 UTC.

Change 435285 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] Announcements: drop beta=true and extend Android announcement

https://gerrit.wikimedia.org/r/435285

hi @bearND @Dbrant - can we check this is now showing up on Prod for Android? It's still not showing up for me in DK, though I have the app set to English and have been able to see the announcements in the past like sync, etc.

@RHo The latest change to fix it for prod is not deployed yet. Will do so on Tuesday during the Services deployment window. It's not showing on prod for me yet.

It's not going to show up in DK. Only in predominantly English speaking countries. See the countries list in https://en.wikipedia.org/api/rest_v1/feed/announcements. You could run a local build of the app and disable or fake the country check in AnnouncementClient or similar.

Sorry, I mistakenly assumed that the beta config parameter allowed including the beta release as well as the production release, rather than limiting the announcement to the beta release only, which it turns out it actually does. I opened T195838 about documenting the various options so that this doesn't happen again.

Change 435285 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Announcements: drop beta=true and extend Android announcement

https://gerrit.wikimedia.org/r/435285

Mentioned in SAL (#wikimedia-operations) [2018-05-29T17:05:47Z] <bsitzmann@tin> Started deploy [mobileapps/deploy@ac4c6be]: Update mobileapps to b2fb793 (T192664)

Mentioned in SAL (#wikimedia-operations) [2018-05-29T17:12:15Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@ac4c6be]: Update mobileapps to b2fb793 (T192664) (duration: 06m 28s)

Mholloway closed this task as Resolved.EditedMay 29 2018, 5:38 PM

I purged https://en.wikipedia.org/api/rest_v1/feed/announcements and the card now appears in the Android app (in both prod and beta).